Package com.xebialabs.xlrelease.domain.environments

# Class Application

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.xlrelease.domain.BaseConfiguration
com.xebialabs.xlrelease.domain.environments.Application

All Implemented Interfaces:
  `ConfigurationItem`, `Serializable`, `Comparable<BaseConfigurationItem>`

@Metadata(description="Representation of an artifact that can be deployed to an environment.", versioned=false, root=CONFIGURATION) public class Application extends BaseConfiguration

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Application()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ApplicationSource`
  `getApplicationSource()`
  `String`
  `getCorrelationUid()`
  `List<Environment>`
  `getEnvironments()`
  `String`
  `getTitle()`
  `void`
  `setApplicationSource(ApplicationSource applicationSource)`
  `void`
  `setCorrelationUid(String correlationUid)`
  `void`
  `setEnvironments(List<Environment> environments)`
  `void`
  `setTitle(String title)`

  ### Methods inherited from class com.xebialabs.xlrelease.domain.BaseConfiguration

  `getFolderId, hasId, isSupportedOn, setFolderId`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Application

    public Application()

- ## Method Details

  - ### getTitle

    public String getTitle()
    Overrides:
      `getTitle` in class `BaseConfiguration`

  - ### setTitle

    public void setTitle(String title)
    Overrides:
      `setTitle` in class `BaseConfiguration`

  - ### getCorrelationUid

    public String getCorrelationUid()

  - ### setCorrelationUid

    public void setCorrelationUid(String correlationUid)

  - ### getEnvironments

    public List<Environment> getEnvironments()

  - ### setEnvironments

    public void setEnvironments(List<Environment> environments)

  - ### getApplicationSource

    public ApplicationSource getApplicationSource()

  - ### setApplicationSource

    public void setApplicationSource(ApplicationSource applicationSource)